Bug 903470 - [RFE] Allow java clients to send and receive source control URLs for projects
Summary: [RFE] Allow java clients to send and receive source control URLs for projects
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-API   
(Show other bugs)
Version: 2.1
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ---
: 2.2
Assignee: David Mason
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On: 896299
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-24 04:09 UTC by David Mason
Modified: 2013-11-27 03:34 UTC (History)
0 users

Fixed In Version: 2.2-SNAPSHOT (20130215-1232)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 03:24:03 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 896299 None None None Never

Description David Mason 2013-01-24 04:09:56 UTC
Description of problem:
Source control URLs are stored against projects on the server and can be viewed and modified through the website, but are not accessible through the clients. Update API and clients to include source control URL retrieval and modification.

Comment 1 David Mason 2013-01-25 05:13:00 UTC
Added source control URLs to DTO and updated put-project to allow specifying of source control URLs for both maven plugin and java cli client.

See:

 - Addition of urls to DTO: https://github.com/zanata/zanata-api/commit/7e815afdca1b740466d86a3470783a97a3f080aa
 - Copy between entity and DTO: https://github.com/zanata/zanata/commit/fc93e45f987c393686a5f746e3c81ab2681c0b22
 - Add to client: https://github.com/zanata/zanata-client/commit/665a84f671bc6c325a1043c98f93b6712b417b08

Comment 2 Ding-Yi Chen 2013-02-15 06:47:02 UTC
VERIFIED with Zanata version 2.2-SNAPSHOT (20130215-1232)
and maven client 2.0.2-SNAPSHOT

Comment 3 Sean Flanigan 2013-11-27 03:14:20 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 4 Sean Flanigan 2013-11-27 03:16:08 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 5 Sean Flanigan 2013-11-27 03:17:44 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 6 Sean Flanigan 2013-11-27 03:24:03 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 7 Sean Flanigan 2013-11-27 03:32:20 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 8 Sean Flanigan 2013-11-27 03:34:36 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.


Note You need to log in before you can comment on or make changes to this bug.